#-------------------------------------------------
#
# Project created by QtCreator 2015-01-07T02:41:29
#
#-------------------------------------------------

QT       += core gui network xml svg
CONFIG   += pythonqt

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets printsupport

DESTDIR =./bin

TARGET = QLop
TEMPLATE = app

LIBS+=-lfftw3_threads -lfftw3

INCLUDEPATH += src/QCustomPlot \
                src src/Cassini \
                src/Core src/Core/Widgets \
                src/Core/Widgets/PyWdgt

QMAKE_CXXFLAGS_RELEASE += -O5 -fopenmp -march=corei7-avx -mtune=corei7-avx -mavx
QMAKE_LFLAGS_RELEASE += -O5 -fopenmp -march=corei7-avx -mtune=corei7-avx -mavx

QMAKE_CXXFLAGS_DEBUG += -O0 -fopenmp -march=corei7-avx -mtune=corei7-avx -mavx
QMAKE_LFLAGS_DEBUG += -O0 -fopenmp -march=corei7-avx -mtune=corei7-avx -mavx


SOURCES += src/main.cpp\
        src/mainwindow.cpp \
    src/SocExplorerPlot.cpp \
    src/QCustomPlot/qcustomplot.cpp \
    src/toolbarcontainer.cpp \
    src/Core/abstractfileloader.cpp \
    src/Core/filedownloader.cpp \
    src/Core/filedownloadertask.cpp \
    src/Core/Widgets/downloadhistory.cpp \
    src/Core/Widgets/downloadhistoryelement.cpp \
    src/Core/qlopservice.cpp \
    src/Cassini/expxmldownloader.cpp \
    src/Cassini/cassinidatadownloader.cpp \
    src/Cassini/cassinidatafile.cpp \
    src/Cassini/cassiniindexfile.cpp \
    src/Cassini/cassiniindexfileviewer.cpp \
    src/Cassini/cassinitools.cpp \
    src/Cassini/cassinitoolsgui.cpp \
    src/Core/Widgets/qlopplots.cpp \
    src/Core/qlopdata.cpp \
    src/Core/Widgets/PyWdgt/pythonconsole.cpp \
    src/Core/Widgets/PyWdgt/pythonqtscriptingconsoledandd.cpp \
    src/QCustomPlot/qcpdocumentobject.cpp \
    src/Core/Widgets/filebrowser.cpp \
    src/Core/Widgets/filesystemmodel.cpp \
    src/Core/Widgets/qcustomplotvect.cpp

HEADERS  += src/mainwindow.h \
    src/SocExplorerPlot.h \
    src/QCustomPlot/qcustomplot.h \
    src/toolbarcontainer.h \
    src/Core/abstractfileloader.h \
    src/Core/filedownloader.h \
    src/Core/filedownloadertask.h \
    src/Core/Widgets/downloadhistory.h \
    src/Core/Widgets/downloadhistoryelement.h \
    src/Core/qlopservice.h \
    src/Cassini/expxmldownloader.h \
    src/Cassini/cassinidatadownloader.h \
    src/Cassini/cassinidatafile.h \
    src/Cassini/cassiniindexfile.h \
    src/Cassini/cassiniindexfileviewer.h \
    src/Cassini/cassinitools.h \
    src/Cassini/cassinitoolsgui.h \
    src/Core/Widgets/qlopplots.h \
    src/Core/qlopdata.h \
    src/Core/Widgets/PyWdgt/pythonconsole.h \
    src/Core/Widgets/PyWdgt/pythonqtscriptingconsoledandd.h \
    src/Core/qlop.h \
    src/Core/pyqlop.h \
    src/QCustomPlot/qcpdocumentobject.h \
    src/Core/Widgets/filebrowser.h \
    src/Core/Widgets/filesystemmodel.h \
    src/Core/Widgets/qcustomplotvect.h

FORMS    += src/mainwindow.ui \
    src/Core/Widgets/downloadhistory.ui \
    src/Core/Widgets/downloadhistoryelement.ui \
    src/Cassini/cassinidatadownloader.ui \
    src/Cassini/cassiniindexfileviewer.ui \
    src/Cassini/cassinitoolsgui.ui \
    src/Core/Widgets/filebrowser.ui

RESOURCES += \
    resources/qlop.qrc

include(src/Core/Widgets/NicePyConsole/NicePyConsole.pri)
include(src/Core/pythonQtOut/generated_cpp/PyQLop/PyQLop.pri)

win32 {
    DEFINES += WIN32
}

unix {
    DEFINES += UNIX
}

DISTFILES += \
    src/Core/pythongenerator.sh \
    src/Core/pythonQtgeneratorCfg.txt
